OID reference

mplsOutSegmentStorageType

1.3.6.1.2.1.10.166.2.1.7.1.12

Description

This variable indicates the storage type for this object. The agent MUST ensure that this object's value remains consistent with the associated mplsXCEntry. Conceptual rows having the value 'permanent' need not allow write-access to any columnar objects in the row.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.2.1.10.166.2.1.7.1 (mplsOutSegmentEntry)
Node code
12
Node name
mplsOutSegmentStorageType
Category
SNMP management object
Numeric OID
1.3.6.1.2.1.10.166.2.1.7.1.12
URN notation
urn:oid:1.3.6.1.2.1.10.166.2.1.7.1.12
Type
OBJECT-TYPE
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 2 1 10 166 2 1 7 1 12}

  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) mib(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) identified-organization(3) dod(6) internet(1) mgmt(2) stdmib-2(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) mib-2(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) mib(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) org(3) dod(6) internet(1) mgmt(2) stdmib-2(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) mib(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) mgmt(2) stdmib-2(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) iso-organization(3) dod(6) internet(1) mgmt(2) mib-2(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) iso-organization(3) dod(6) internet(1) mgmt(2) mib(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
  • {iso(1) iso-organization(3) dod(6) internet(1) mgmt(2) stdmib-2(1) transmission(10) mplsStdMIB(166) mplsLsrStdMIB(2) mplsLsrObjects(1) mplsOutSegmentTable(7) mplsOutSegmentEntry(1) mplsOutSegmentStorageType(12)}
OID-IRI notation
  • /1/3/6/1/2/1/10/166/2/1/7/1/12
  • /ISO/Identified-Organization/6/1/2/1/10/166/2/1/7/1/12
  • /ISO/3/6/1/2/1/10/166/2/1/7/1/12
Named path variants
  • /iso/identified-organization/dod/internet/mgmt/mib-2/transmission/mplsStdMIB/mplsLsrStdMIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/identified-organization/dod/internet/mgmt/mib-2/transmission/mplsStdMIB/MPLS-LSR-STD-MIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/identified-organization/dod/internet/mgmt/mib/transmission/mplsStdMIB/mplsLsrStdMIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/identified-organization/dod/internet/mgmt/mib/transmission/mplsStdMIB/MPLS-LSR-STD-MIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/identified-organization/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/transmission/mplsStdMIB/mplsLsrStdMIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/identified-organization/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/transmission/mplsStdMIB/MPLS-LSR-STD-MIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/identified-organization/dod/internet/mgmt/stdmib-2/transmission/mplsStdMIB/mplsLsrStdMIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/identified-organization/dod/internet/mgmt/stdmib-2/transmission/mplsStdMIB/MPLS-LSR-STD-MIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/org/dod/internet/mgmt/mib-2/transmission/mplsStdMIB/mplsLsrStdMIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/org/dod/internet/mgmt/mib-2/transmission/mplsStdMIB/MPLS-LSR-STD-MIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/org/dod/internet/mgmt/mib/transmission/mplsStdMIB/mplsLsrStdMIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/org/dod/internet/mgmt/mib/transmission/mplsStdMIB/MPLS-LSR-STD-MIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/org/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/transmission/mplsStdMIB/mplsLsrStdMIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/org/dod/internet/mgmt/RFC1066-MIB-INTERPRETATION/transmission/mplsStdMIB/MPLS-LSR-STD-MIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/org/dod/internet/mgmt/stdmib-2/transmission/mplsStdMIB/mplsLsrStdMIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • /iso/org/dod/internet/mgmt/stdmib-2/transmission/mplsStdMIB/MPLS-LSR-STD-MIB/mplsLsrObjects/mplsOutSegmentTable/mplsOutSegmentEntry/mplsOutSegmentStorageType
  • Additional combinations skipped.

SNMP properties

Value type
StorageType
Maximum access defined by MIB
read-create, read-write
Status in MIB
current, mandatory
Default value
volatile

Definitions may combine these properties differently.

Compare 2 source variants

Variant 1 — D-Link official switch MIBs, FS.COM official Documentation Hub native MIB packages, and others

Value type
StorageType
Maximum access defined by MIB
read-create
Status in MIB
current
Default value
volatile

Variant 2 — Cisco SMIv1

Value type
StorageType
Maximum access defined by MIB
read-write
Status in MIB
mandatory
Default value
volatile

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Product context

Documented MIB packages

The FS.COM catalogue lists MIB packages containing this definition for these models:

IES3220-8T4F, IES3220-8T4F-U, IES5120-28TF, IES5120-28TS, IES5120-28TS-P, IES5120-48T4S, IES5220-30TS-3ES, IES5220-6S-3ES, N5860-48SC, N8560-32C, N8560-48BC, N8560-64C.

Show 34 more models

NC8200-16Q, NC8200-24BC, NC8200-4TD, NC8200-8C, NC8400-16CD, NC8400-32C, NC8400-4TH, S3100-16TF, S3410-24TS-P, S3910-24TS, S3910-48TS, S5800-48F4S, S5800-48F4SR, S5800-48T4S, S5800-8TF12S, S5810-28FS, S5810-28TS, S5810-48FS, S5810-48TS, S5810-48TS-P, S5850-24S2Q, S5850-24T16B, S5850-24T16S, S5850-32S2Q, S5850-48S2Q4C, S5850-48S6Q, S5850-48T4Q, S5850-48XMG8C, S5860-20SQ, S5860-24XB-U, S5860-48SC, S8050-20Q4C, TSN3220-10S, TSN3220-10S-U.

A definition in a model's MIB package does not establish that the device implements it or permits access.

Available source records contain 3 distinct definitions; some records may not include a definition.

Show 3 published definitions

mplsOutSegmentStorageType · current

mplsOutSegmentStorageType OBJECT-TYPE
   SYNTAX        StorageType
   MAX-ACCESS    read-create
   STATUS        current
   DESCRIPTION
       "This variable indicates the storage type for this
        object. The agent MUST ensure that this object¡¯s value
        remains consistent with the associated mplsXCEntry.
        Conceptual rows having the value ¡¯permanent¡¯
        need not allow write-access to any columnar
        objects in the row."
   DEFVAL { volatile }
   ::= { mplsOutSegmentEntry 12 }

mplsOutSegmentStorageType · current

mplsOutSegmentStorageType OBJECT-TYPE 
   SYNTAX        StorageType 
   MAX-ACCESS    read-create 
   STATUS        current 
   DESCRIPTION 
       "This variable indicates the storage type for this 
        object. The agent MUST ensure that this object¡¯s value 
        remains consistent with the associated mplsXCEntry. 
        Conceptual rows having the value ¡¯permanent¡¯ 
        need not allow write-access to any columnar 
        objects in the row." 
   DEFVAL { volatile } 
   ::= { mplsOutSegmentEntry 12 }

mplsOutSegmentStorageType · current

mplsOutSegmentStorageType OBJECT-TYPE                                                                       
   SYNTAX        StorageType                                                                                
   MAX-ACCESS    read-create                                                                                
   STATUS        current                                                                                    
   DESCRIPTION                                                                                              
       "This variable indicates the storage type for this                                                   
        object. If this object is set to readOnly(5), and the                                               
        corresponding LFIB entry is removed, then the agent                                                 
        MUST remove this row shortly thereafter RFC2579.                                                    
        The agent MUST ensure that this object's value                                                      
        remains consistent with the associated mplsXCEntry.                                                 
        Conceptual rows having the value 'permanent'                                                        
        need not allow write-access to any columnar                                                         
        objects in the row.                                                                                 
        The default value is volatile(2)."                                                                  
   DEFVAL { volatile }                                                                                      
   ::= { mplsOutSegmentEntry 12 }

Meaning

Descriptions

10 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

Description 1

This variable indicates the storage type for this object. The agent MUST ensure that this objects value remains consistent with the associated mplsXCEntry. Conceptual rows having the value permanent need not allow write-access to any columnar objects in the row.
Original text from OID Repository
mplsOutSegmentStorageType OBJECT-TYPE
SYNTAX StorageType
MAX-ACCESS read-create
STATUS current
DESCRIPTION
"This variable indicates the storage type for this
object. The agent MUST ensure that this objects value
remains consistent with the associated mplsXCEntry.
Conceptual rows having the value permanent
need not allow write-access to any columnar
objects in the row."
DEFVAL { volatile }
Sources for this description

OID Repository

View at oid-base.com
Automatically extracted from RFC3813

Description 2

This variable indicates the storage type for this
object. The agent MUST ensure that this object's value
remains consistent with the associated mplsXCEntry.
Conceptual rows having the value 'permanent'
need not allow write-access to any columnar
objects in the row.
Sources for this description

See 3 matching source records

Circitor

Parsed from MPLS-LSR-STD-MIB.mib · MPLS-LSR-STD-MIB

Source file: Download MPLS-LSR-STD-MIB.mib

Browse all files from Circitor

Cisco

Source file: Download MPLS-LSR-STD-MIB.txt · Publisher's file

Vendor MIB copy from the Netdisco archive.

Source file: Download MPLS-LSR-STD-MIB · Publisher's file

Vendor MIB copy from the LibreNMS archive.

Source file: Download rfc3813-mpls-lsr-std.mib · Publisher's file

Other official packages with the same file

tsn3220-10s-u-switch-snmp-mib-files.zip

tsn3220-10s-switch-snmp-mib-files.zip

ies5220-6s-3es-switch-snmp-mib-files.zip

ies5220-30ts-3es-switch-snmp-mib-files.zip

Source file: Download MPLS-LSR-MIB.mib · Publisher's file

Other official packages with the same file

s5850-and-s8050-series-switches-snmp-mib-files.zip

s5800-8tf12s-switch-snmp-mib-files.zip

s5800-48t4s-switch-snmp-mib-files.zip

s5800-48f4sr-switch-snmp-mib-files.zip

Source file: Download stdmplsr.mib · Publisher's file

Source file: Download MPLS-LSR-STD-MIB · Publisher's file

Vendor MIB copy from the Observium Community archive.

Related source files and packages:

Source file: Download MPLS-LSR-STD-MIB.mib · Publisher's file

Other official packages with the same file

DGS-6600_MIB_4.10.009.zip

Source file: Download MPLS-LSR-STD-MIB.mib · Publisher's file

Other official packages with the same file

DXS-3610_A1_MIB_v1.01.zip

DGS-3630_MIB_R1.00.zip

DGS-3630-R2.0-MIB-20170927.zip

DGS-3630_MIB_R1.00.zip

Source file: Download rfc3813.txt · Publisher's file Junos OS Evolved 26.2R1

Other official packages with the same file

Junos OS 26.2R1

Source file: Download MPLS-LSR-STD-MIB.my · Publisher's file

Browse all files from Cisco

Description 3

This variable indicates the storage type for this object. The agent MUST ensure that this object's value remains consistent with the associated mplsXCEntry. Conceptual rows having the value 'permanent' need not allow write-access to any columnar objects in the row.

Implementation notes: The actually supported access is read-only The actually supported value range is 3 Get return value nonvolatile(3).

Sources for this description

Huawei official enterprise MIB Query and object descriptions

See 3 matching source records

Description 4

Storage type.

Sources for this description

H3C official MIB documentation and object descriptions

See 1 matching source record

Description 5

This variable indicates the storage type for this object. The agent MUST ensure that this object's value remains consistent with the associated mplsXCEntry. Conceptual rows having the value 'permanent' need not allow write-access to any columnar objects in the row.

Implementation notes: The actually supported access is read-only. The actually supported value range is 3. Get return value nonvolatile(3).

Sources for this description

Huawei official enterprise MIB Query and object descriptions

See 3 matching source records

Description 6

This variable indicates the storage type for this object. The agent MUST ensure that this object's value remains consistent with the associated mplsXCEntry. Conceptual rows having the value 'permanent' need not allow write-access to any columnar objects in the row.Get return value nonvolatile(3).

Implementation notes: Currently, the maximum access is read-only; the return value nonvolatile(3) is supported only.

Sources for this description

Huawei official enterprise MIB Query and object descriptions

See 2 matching source records

Description 7

This variable indicates the storage type for this object. The agent MUST ensure that this object's value remains consistent with the associated mplsXCEntry. Conceptual rows having the value 'permanent' need not allow write-access to any columnar objects in the row.

Implementation notes: The actually supported access is read-only The actually supported value range is 3 Returns nonvolatile(3).

Sources for this description

Huawei official enterprise MIB Query and object descriptions

See 3 matching source records

Description 8

Get return value nonvolatile(3).

Implementation notes: The actually supported access is read-only. The actually supported value range is 3. Get return value nonvolatile(3).

Sources for this description

Huawei official enterprise MIB Query and object descriptions

See 1 matching source record

Description 9

This variable indicates the storage type for this object. The agent MUST ensure that this object¡¯s value remains consistent with the associated mplsXCEntry. Conceptual rows having the value ¡¯permanent¡¯ need not allow write-access to any columnar objects in the row.

Sources for this description

D-Link official switch MIBsFS.COM official Documentation Hub native MIB packages

See 1 matching source record

Description 10

This variable indicates the storage type for this object. If this object is set to readOnly(5), and the corresponding LFIB entry is removed, then the agent MUST remove this row shortly thereafter RFC2579. The agent MUST ensure that this object's value remains consistent with the associated mplsXCEntry. Conceptual rows having the value 'permanent' need not allow write-access to any columnar objects in the row. The default value is volatile(2).

Sources for this description

FS.COM official Documentation Hub native MIB packages

See 1 matching source record

Evidence

Source records

9 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 2, 3, 5, 7Huawei official enterprise MIB Query and object descriptions3 records · 3 sources

Description 2 · Description 3 · Description 5 · Description 7

mplsOutSegmentStorageType · unspecifiedHuawei official enterprise MIB Query and object descriptions1 source
mplsOutSegmentStorageType · unspecifiedHuawei official enterprise MIB Query and object descriptions1 source

Status in source: unspecified.

Names: mplsOutSegmentStorageType

Technical details
{
  "syntax": "INTEGER{other(1),volatile(2),nonVolatile(3),permanent(4),readOnly(5)}",
  "max_access": "read-create",
  "object_class": "table column",
  "implementation_notes": "The actually supported access is read-only. The actually supported value range is 3. Get return value nonvolatile(3)."
}
mplsOutSegmentStorageType · unspecifiedHuawei official enterprise MIB Query and object descriptions1 source

Status in source: unspecified.

Names: mplsOutSegmentStorageType

Technical details
{
  "syntax": "INTEGER{other(1),volatile(2),nonVolatile(3),permanent(4),readOnly(5)}",
  "max_access": "read-create",
  "object_class": "table column",
  "implementation_notes": "The actually supported access is read-only The actually supported value range is 3 Returns nonvolatile(3)."
}
Records for description 4H3C official MIB documentation and object descriptions1 record · 30 sources

Description 4

mplsOutSegmentStorageType · unspecifiedH3C official MIB documentation and object descriptions30 sources

Status in source: unspecified.

Names: mplsOutSegmentStorageType

Technical details
{}

Browse all 30 supporting sources

Records for description 6Huawei official enterprise MIB Query and object descriptions2 records · 2 sources

Description 6

mplsOutSegmentStorageType · unspecifiedHuawei official enterprise MIB Query and object descriptions1 source
mplsOutSegmentStorageType · unspecifiedHuawei official enterprise MIB Query and object descriptions1 source
Records for description 8Huawei official enterprise MIB Query and object descriptions1 record · 1 source

Description 8

mplsOutSegmentStorageType · unspecifiedHuawei official enterprise MIB Query and object descriptions1 source

Status in source: unspecified.

Names: mplsOutSegmentStorageType

Technical details
{
  "syntax": "INTEGER{(other,1),(volatile,2),(nonVolatile,3),(permanent,4),(readOnly,5)}",
  "max_access": "read-create",
  "object_class": "table column",
  "implementation_notes": "The actually supported access is read-only. The actually supported value range is 3. Get return value nonvolatile(3)."
}
Records for description 9D-Link official switch MIBs, FS.COM official Documentation Hub native MIB packages1 record · 2 sources

Description 9

mplsOutSegmentStorageType · currentD-Link official switch MIBs, FS.COM official Documentation Hub native MIB packages2 sources

Status in source: current.

Names: mplsOutSegmentStorageType

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "mplsOutSegmentStorageType",
    "OBJECT-TYPE",
    "SYNTAX",
    "StorageType",
    "MAX-ACCESS",
    "read-create",
    "STATUS",
    "current",
    "DESCRIPTION",
    "\"This variable indicates the storage type for this object. The agent MUST ensure that this object¡¯s value remains consistent with the associated mplsXCEntry. Conceptual rows having the value ¡¯permanent¡¯ need not allow write-access to any columnar objects in the row.\"",
    "DEFVAL",
    "{",
    "volatile",
    "}",
    "::=",
    "{",
    "mplsOutSegmentEntry",
    "12",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "StorageType"
    ],
    null,
    [
      "MaxAccessPart",
      "read-create"
    ],
    [
      "Status",
      "current"
    ],
    [
      "DESCRIPTION",
      "This variable indicates the storage type for this object. The agent MUST ensure that this object¡¯s value remains consistent with the associated mplsXCEntry. Conceptual rows having the value ¡¯permanent¡¯ need not allow write-access to any columnar objects in the row."
    ],
    null,
    null,
    null,
    [
      "DEFVAL",
      "volatile"
    ]
  ]
}
Records for description 10FS.COM official Documentation Hub native MIB packages1 record · 1 source

Description 10

mplsOutSegmentStorageType · currentFS.COM official Documentation Hub native MIB packages1 source

Status in source: current.

Names: mplsOutSegmentStorageType

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "mplsOutSegmentStorageType",
    "OBJECT-TYPE",
    "SYNTAX",
    "StorageType",
    "MAX-ACCESS",
    "read-create",
    "STATUS",
    "current",
    "DESCRIPTION",
    "\"This variable indicates the storage type for this object. If this object is set to readOnly(5), and the corresponding LFIB entry is removed, then the agent MUST remove this row shortly thereafter RFC2579. The agent MUST ensure that this object's value remains consistent with the associated mplsXCEntry. Conceptual rows having the value 'permanent' need not allow write-access to any columnar objects in the row. The default value is volatile(2).\"",
    "DEFVAL",
    "{",
    "volatile",
    "}",
    "::=",
    "{",
    "mplsOutSegmentEntry",
    "12",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "StorageType"
    ],
    null,
    [
      "MaxAccessPart",
      "read-create"
    ],
    [
      "Status",
      "current"
    ],
    [
      "DESCRIPTION",
      "This variable indicates the storage type for this object. If this object is set to readOnly(5), and the corresponding LFIB entry is removed, then the agent MUST remove this row shortly thereafter RFC2579. The agent MUST ensure that this object's value remains consistent with the associated mplsXCEntry. Conceptual rows having the value 'permanent' need not allow write-access to any columnar objects in the row. The default value is volatile(2)."
    ],
    null,
    null,
    null,
    [
      "DEFVAL",
      "volatile"
    ]
  ]
}

Historical records

Additional source information

Information from Circitor
mplsOutSegmentStorageType OBJECT-TYPE
   SYNTAX        StorageType
   MAX-ACCESS    read-create
   STATUS        current
   DESCRIPTION
       "This variable indicates the storage type for this
        object. The agent MUST ensure that this object's value
        remains consistent with the associated mplsXCEntry.
        Conceptual rows having the value 'permanent'
        need not allow write-access to any columnar
        objects in the row."
   DEFVAL { volatile }
   ::= { mplsOutSegmentEntry 12 }
Information from Cisco SMIv1
mplsOutSegmentStorageType OBJECT-TYPE
    SYNTAX StorageType







    ACCESS read-write
    STATUS mandatory
    DESCRIPTION
        "This variable indicates the storage type for this
         object. The agent MUST ensure that this object's value
         remains consistent with the associated mplsXCEntry.
         Conceptual rows having the value 'permanent'
         need not allow write-access to any columnar
         objects in the row."
    DEFVAL { volatile }
    ::= { mplsOutSegmentEntry 12 }
Information from MIBdepot
mplsOutSegmentStorageType OBJECT-TYPE
   SYNTAX        StorageType
   MAX-ACCESS    read-create
   STATUS        current
   DESCRIPTION
       "This variable indicates the storage type for this
        object. The agent MUST ensure that this object's value
        remains consistent with the associated mplsXCEntry.
        Conceptual rows having the value 'permanent'
        need not allow write-access to any columnar
        objects in the row."
   DEFVAL { volatile }
   ::= { mplsOutSegmentEntry 12 }
Information from Cisco
mplsOutSegmentStorageType OBJECT-TYPE
   SYNTAX        StorageType
   MAX-ACCESS    read-create
   STATUS        current
   DESCRIPTION
       "This variable indicates the storage type for this
        object. The agent MUST ensure that this object's value
        remains consistent with the associated mplsXCEntry.
        Conceptual rows having the value 'permanent'
        need not allow write-access to any columnar
        objects in the row."
   DEFVAL { volatile }
   ::= { mplsOutSegmentEntry 12 }

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6)

Defense Communication Agency

Current Registration Authority (inferred from ancestor 1.3.6.1.2)

Internet Assigned Numbers Authority

Siblings (11)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.2.1.10.166.2.1.7.1.1 mplsOutSegmentIndex00 This value contains a unique index for this row.
While a value of a string containing the single
octet 0x00 is not valid as an in…
1.3.6.1.2.1.10.166.2.1.7.1.2 mplsOutSegmentInterface00 This value must contain the interface index of the
outgoing interface. This object cannot be modified
if mplsOutSegmentRowStatus …
1.3.6.1.2.1.10.166.2.1.7.1.3 mplsOutSegmentPushTopLabel00 This value indicates whether or not a top label
should be pushed onto the outgoing packet's label
stack. The value of this varia…
1.3.6.1.2.1.10.166.2.1.7.1.4 mplsOutSegmentTopLabel00 If mplsOutSegmentPushTopLabel is true then this
represents the label that should be pushed onto the
top of the outgoing packet's …
1.3.6.1.2.1.10.166.2.1.7.1.5 mplsOutSegmentTopLabelPtr00 If the label for this segment cannot be represented
fully within the mplsOutSegmentLabel object,
this object MUST point to the fi…
1.3.6.1.2.1.10.166.2.1.7.1.6 mplsOutSegmentNextHopAddrType00 Indicates the next hop Internet address type.
Only values unknown(0), ipv4(1) or ipv6(2)
have to be supported.

A value of unknown(…
1.3.6.1.2.1.10.166.2.1.7.1.7 mplsOutSegmentNextHopAddr00 The internet address of the next hop. The type of
this address is determined by the value of the
mplslOutSegmentNextHopAddrType o…
1.3.6.1.2.1.10.166.2.1.7.1.8 mplsOutSegmentXCIndex00 Index into mplsXCTable which identifies which cross-
connect entry this segment is part of. A value of
the string containing the…
1.3.6.1.2.1.10.166.2.1.7.1.9 mplsOutSegmentOwner00 Denotes the entity which created and is responsible
for managing this segment.
1.3.6.1.2.1.10.166.2.1.7.1.10 mplsOutSegmentTrafficParamPtr00 This variable represents a pointer to the traffic
parameter specification for this out-segment. This
value may point at an entry…
1.3.6.1.2.1.10.166.2.1.7.1.11 mplsOutSegmentRowStatus00 For creating, modifying, and deleting this row.
When a row in this table has a row in the active(1)
state, no objects in this row…